=== debian/changelog ===
stegseek (0.6+git20210910.ff677b9-2) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Build-Depends: libjpeg62-turbo-dev -> libjpeg-dev (Closes: #1089021)
    - Drop 'Rules-Requires-Root: no', it's the standard now.
    - Bump Standards-Version to 4.7.2.
  * d/watch: Convert watch file to version 5 format.
  * d/copyright: Update copyright holders regarding Debian packaging.

 -- Sven Geuer <sge@debian.org>  Fri, 03 Oct 2025 21:44:40 +0200

stegseek (0.6+git20210910.ff677b9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 18 Jul 2023 19:19:23 +0000

stegseek (0.6+git20210910.ff677b9-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Update packaging copyright years.
  * Add override to dh_auto_test.
  * Update the search rule in debian/watch.
  * Update my email address.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 18 Jul 2023 13:28:50 +0000

stegseek (0.6+git20210910.ff677b9-1~exp1) experimental; urgency=medium

  * New upstream git snapshot version 0.6+git20210910.ff677b9.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 07 Oct 2021 13:10:16 +0000

stegseek (0.6-1~exp1) experimental; urgency=medium

  * New upstream version 0.6.
  * Drop debian/patches/001_fix-spelling-error.patch (applied upstream).

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 26 Jun 2021 02:34:11 +0000

stegseek (0.5-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #986340)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 03 Apr 2021 21:05:37 +0000
