=== debian/control ===
Source: stegseek
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libjpeg-dev,
               libmcrypt-dev,
               libmhash-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Homepage: https://github.com/RickdeJager/stegseek
Vcs-Browser: https://salsa.debian.org/pkg-security-team/stegseek
Vcs-Git: https://salsa.debian.org/pkg-security-team/stegseek.git

Package: stegseek
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Worlds fastest steghide cracker
 Stegseek is a lightning fast steghide cracker that can be used to extract
 hidden data from files. It is built as a fork of the original steghide
 project and, as a result, it is thousands of times faster than other
 crackers and can run through millions of passwords per second.
 .
 Stegseek can also be used to extract steghide metadata without a password,
 which can be used to test whether a file contains steghide data.
