=== debian/tests/control ===
Test-Command: DICT=/usr/share/dict/words;
              JPG=${AUTOPKGTEST_TMP}/original-files/pic1/debian_logo.jpg;
              fsdeploy original-files;
              echo debian > secret.txt;
              stegseek --embed -ef secret.txt -cf ${JPG} -p "$(shuf -n1 $DICT)" -f;
              stegseek -f ${JPG} ${DICT}
Depends: forensics-samples-files,
         wamerican,
         @
Restrictions: allow-stderr
