=== debian/watch ===
Version: 5
Template: Github
Owner: RickdeJager
Project: stegseek
